#  Build API with Python & FastAPI: SignUp User and Verify Email

This article will teach you how to send HTML Emails with Python, FastAPI, PyMongo, MongoDB, Jinja2, and Docker. Also, you will learn how to use Jinja2 to generate different HTML templates.

![Build API with Python & FastAPI: SignUp User and Verify Email](https://codevoweb.com/wp-content/uploads/2022/07/Build-API-with-Python-FastAPI-SignUp-User-and-Verify-Email.webp)

## Topics Covered

- Send HTML Emails with Jinja2 & FastAPI Example
- Creating the SMTP Provider Account
- Edit the Environment Variables File
- Validating the Environment Variables with Pydantic
- Creating the HTML Email Templates in FastAPI
- Creating the SMTP Email Sender
- Sending the HTML Emails in FastAPI
- Update the SignUp Controller
- Create a Handler to Validate the Verification Code

Read the entire article here: [https://codevoweb.com/api-with-python-fastapi-signup-user-and-verify-email](https://codevoweb.com/api-with-python-fastapi-signup-user-and-verify-email)

Articles in this series:

### 1. API with Python, FastAPI, and MongoDB: JWT Authentication

[API with Python, FastAPI, and MongoDB: JWT Authentication](https://codevoweb.com/api-with-python-fastapi-and-mongodb-jwt-authentication)

### 2. Build API with Python & FastAPI: SignUp User and Verify Email

[Build API with Python & FastAPI: SignUp User and Verify Email](https://codevoweb.com/api-with-python-fastapi-signup-user-and-verify-email)

### 3. CRUD RESTful API Server with Python, FastAPI, and MongoDB

[CRUD RESTful API Server with Python, FastAPI, and MongoDB](https://codevoweb.com/crud-restful-api-server-with-python-fastapi-and-mongodb)
